Cannot install MySQL 5.1.23a or MySQL Cluster NDB 6.2.15.

Reported by Mikiya Okuno on 2011-10-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MySQL Sandbox
Undecided
Unassigned

Bug Description

Fails to install MySQL 5.1.23 or MySQL Cluster NDB 6.2.15 which its SQL node is based on MySQL 5.1.23. The error log contains the following messages:

111018 18:18:58 mysqld_safe The file /usr/local/mysql/bin/mysqld
does not exist or is not executable. Please cd to the mysql installation
directory and restart this script from there as follows:
./bin/mysqld_safe&
See http://dev.mysql.com/doc/mysql/en/mysqld-safe.html for more information

This appears to be a bug of mysqld_safe, which mysqld_safe could forget the given basedir option. To fix this problem, specify --ledir option when invoking mysqld_safe.
http://dev.mysql.com/doc/refman/5.1/en/mysqld-safe.html#option_mysqld_safe_ledir

Giuseppe Maxia (giuseppe-maxia) wrote :

This is a bug in some versions of MySQL, where mysql_install_db does not honor --defaults-file and --basedir.
I remember having this problem when MySQL 5.1.23 was released, and solving it by taking mysql_install_db from 5.1.22

Changed in mysql-sandbox:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers